curl --request GET \
--url https://descriptapi.com/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://descriptapi.com/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://descriptapi.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"job_id": "6dc3f30a-58c2-4174-96a6-dc18cf3c7776",
"job_type": "import/project_media",
"job_state": "stopped",
"created_at": "2025-11-18T10:30:00Z",
"stopped_at": "2025-11-18T10:35:00Z",
"drive_id": "c9c5c47e-158a-49f7-846b-4f6ee2a229a2",
"project_id": "9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
"project_url": "https://web.descript.com/9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
"result": {
"status": "success",
"media_status": {
"Misc/intro.mp4": {
"status": "success",
"duration_seconds": 10.5
}
},
"media_seconds_used": 11
}
},
{
"job_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"job_type": "agent",
"job_state": "running",
"created_at": "2025-11-18T11:00:00Z",
"drive_id": "c9c5c47e-158a-49f7-846b-4f6ee2a229a2",
"project_id": "9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
"project_url": "https://web.descript.com/9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
"progress": {
"label": "Applying Studio Sound to clip 2...",
"last_update_at": "2025-11-18T11:01:00Z"
}
}
],
"pagination": {
"next_cursor": "YTFiMmMzZDQtNTY3OC05MGFiLWNkZWYtMTIzNDU2Nzg5MGFi"
}
}{
"error": "invalid_input",
"message": "Invalid request body"
}{
"error": "unauthorized",
"message": "Missing or invalid authentication token"
}{
"error": "rate_limit_exceeded",
"message": "Too many requests. Please try again later."
}List jobs
List recent jobs with optional filtering by project or job type.
By default, jobs created within the last 7 days are returned. Use created_after and
created_before to customize the time range. The maximum lookback is 30 days.
Results are paginated. Use the cursor from the response pagination.next_cursor to
fetch subsequent pages.
Query parameters allow you to filter the results:
- Filter by
project_idto see all jobs for a project - Filter by
typeto see specific job types (import/project_media, agent)
Authorizations
Personal API token created in Descript Settings → API Tokens. See the Authentication section for details.
Query Parameters
Filter by project ID
Filter by job type
import/project_media, agent Cursor for the next page of results, obtained from pagination.next_cursor in a previous response
Number of items per page (1-100). Defaults to 20.
1 <= x <= 100Filter jobs created after this timestamp (ISO 8601). Default: 7 days ago. Oldest allowed: 30 days ago.
Filter jobs created before this timestamp (ISO 8601). Default: now.

